/**
 * StreetName.java
 *
 * File generated from the medication::StreetName uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration StreetName.
 *
 * 
 */

@XmlType(name = "StreetName")
@XmlEnum
@XmlRootElement(name = "StreetName")
public enum StreetName {
	@XmlEnumValue("STR")
	STR("STR"),
	@XmlEnumValue("STB")
	STB("STB"),
	@XmlEnumValue("STTYP")
	STTYP("STTYP");
	
	private final String value;

    StreetName(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static StreetName fromValue(String v) {
        for (StreetName c: StreetName.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}